window.addEventListener("load", function () {
    jQuery(document).ready(function ($) {
        "use strict";
        $("body").addClass("preloader-disabled");

        var myCursor = jQuery('.theme-custom-cursor');
        if (myCursor.length) {
            if ($('body')) {
                const e = document.querySelector('.theme-cursor-secondary'),
                    t = document.querySelector('.theme-cursor-primary');
                let n, i = 0,
                    o = !1;
                window.onmousemove = function (s) {
                    o || (t.style.transform = "translate(" + s.clientX + "px, " + s.clientY + "px)"), e.style.transform = "translate(" + s.clientX + "px, " + s.clientY + "px)", n = s.clientY, i = s.clientX
                }, $('body').on("mouseenter", "a, button, input[type=\"submit\"], .slick-arrow, .cursor-pointer", function () {
                    e.classList.add('cursor-hover'), t.classList.add('cursor-hover')
                }), $('body').on("mouseleave", "a, button, input[type=\"submit\"], .slick-arrow, .cursor-pointer", function () {
                    $(this).is("a") && $(this).closest(".cursor-pointer").length || (e.classList.remove('cursor-hover'), t.classList.remove('cursor-hover'))
                }), e.style.visibility = "visible", t.style.visibility = "visible"
            }
        }
    });
});


jQuery(document).ready(function ($) {
    "use strict";

    var rtled = false;
    if ($('body').hasClass('rtl')) {
        rtled = true;
    }

    $(function () {
        $('#mainslider').each(function () {
            $(this).slick({
                slidesToShow: 4,
                slidesToScroll: 1,
                autoplay: true,
                autoplaySpeed: 12000,
                infinite: true,
                nextArrow: '<i class="slick-nav-arrow slick-slide-next arrow_carrot-right"></i>',
                prevArrow: '<i class="slick-nav-arrow slick-slide-prev arrow_carrot-left"></i>',
                responsive: [
                    {
                        breakpoint: 1600,
                        settings: {
                            slidesToShow: 4
                        }
                    },
                    {
                        breakpoint: 1400,
                        settings: {
                            slidesToShow: 3
                        }
                    },
                    {
                        breakpoint: 1199,
                        settings: {
                            slidesToShow: 2
                        }
                    },
                    {
                        breakpoint: 480,
                        settings: {
                            slidesToShow: 1
                        }
                    }
                ]
            })
                .on('setPosition', function (event, slick) {
                    slick.$slides.css('height', slick.$slideTrack.height() + 'px');
                });
        });

        $('.carousel-slider').each(function () {
            $(this).slick({
                slidesToShow: 4,
                slidesToScroll: 1,
                autoplay: true,
                autoplaySpeed: 12000,
                infinite: true,
                nextArrow: '<i class="slick-nav-arrow slick-slide-next arrow_carrot-right"></i>',
                prevArrow: '<i class="slick-nav-arrow slick-slide-prev arrow_carrot-left"></i>',
                responsive: [
                    {
                        breakpoint: 1600,
                        settings: {
                            slidesToShow: 4
                        }
                    },
                    {
                        breakpoint: 1400,
                        settings: {
                            slidesToShow: 3
                        }
                    },
                    {
                        breakpoint: 1199,
                        settings: {
                            slidesToShow: 2
                        }
                    },
                    {
                        breakpoint: 480,
                        settings: {
                            slidesToShow: 1
                        }
                    }
                ]
            })
                .on('setPosition', function (event, slick) {
                    slick.$slides.css('height', slick.$slideTrack.height() + 'px');
                });
        });

        $('.popular-slider').each(function () {
            $(this).slick({
                slidesToShow: 4,
                slidesToScroll: 1,
                autoplay: true,
                autoplaySpeed: 12000,
                infinite: true,
                nextArrow: '<i class="slick-nav-arrow slick-slide-next arrow_carrot-right"></i>',
                prevArrow: '<i class="slick-nav-arrow slick-slide-prev arrow_carrot-left"></i>',
                responsive: [
                    {
                        breakpoint: 1600,
                        settings: {
                            slidesToShow: 4
                        }
                    },
                    {
                        breakpoint: 1400,
                        settings: {
                            slidesToShow: 3
                        }
                    },
                    {
                        breakpoint: 1199,
                        settings: {
                            slidesToShow: 2
                        }
                    },
                    {
                        breakpoint: 480,
                        settings: {
                            slidesToShow: 1
                        }
                    }
                ]
            });
        });

        $("figure.wp-block-gallery.has-nested-images.columns-1, .wp-block-gallery.columns-1 ul.blocks-gallery-grid, .gallery-columns-1").each(function () {
            $(this).slick({
                slidesToShow: 1,
                slidesToScroll: 1,
                fade: true,
                autoplay: true,
                autoplaySpeed: 8000,
                infinite: true,
                dots: true,
                nextArrow: '<i class="slick-nav-arrow slick-slide-next arrow_carrot-right"></i>',
                prevArrow: '<i class="slick-nav-arrow slick-slide-prev arrow_carrot-left"></i>',
                rtl: rtled
            });
        });
    });

    $(function () {
        $('.icon-search').on('click', function (event) {
            $('body').toggleClass('united-model');
            $('body').addClass('window-scroll-locked');
            setTimeout(function () { 
                $('.model-search-wrapper .search-field').focus();
            }, 300);
            
        });
        $('.cross-exit').on('click', function (event) {
            $('body').removeClass('united-model');
            $('body').removeClass('window-scroll-locked');
            $('.icon-search').focus();
        });

        $(document).keyup(function(j) {
            if (j.key === "Escape") {
                $('body').removeClass('united-model');
                $('body').removeClass('window-scroll-locked');
                $('.icon-search').focus();
            }
        });

        $('.searchbar-skip-link').focus(function(){
            $('.model-search .search-submit').focus();
        });

        $('.searchbar-skip-link-end').focus(function(){
            $('.cross-exit').focus();
        });

    });

    $(function () {
        $('.widget-area').theiaStickySidebar({
            additionalMarginTop: 30
        });
    });

    $(function () {
        const side = $("body").hasClass("rtl") ? 'right' : 'left';
        $('#responsive-menu-button').sidr({
            name: 'sidr-main',
            side: side,
            source: '#theme-top-navigation'
        });
    });

    $(function () {
        var direction = $('body').hasClass('rtl') ? 'rtl' : 'ltr';

        $('#js-news').ticker({
            speed: 0.20,
            controls: true,
            titleText: '',
            displayType: 'reveal',
            direction: direction,
            pauseOnItems: 2000,
            fadeInSpeed: 600,
            fadeOutSpeed: 300
        });
    });

    $(".zoom-gallery").each(function () {
        $(this).magnificPopup({
            delegate: 'button',
            type: 'image',
            closeOnContentClick: false,
            closeBtnInside: false,
            mainClass: 'mfp-with-zoom mfp-img-mobile',
            image: {
                verticalFit: true,
                titleSrc: function (item) {
                    return item.el.attr('title');
                }
            }
        });
    });

    $(".site .gallery, .wp-block-gallery").each(function () {
        $(this).magnificPopup({
            delegate: 'a',
            type: 'image',
            closeOnContentClick: false,
            closeBtnInside: false,
            mainClass: 'mfp-with-zoom mfp-img-mobile',
            image: {
                verticalFit: true,
                titleSrc: function (item) {
                    return item.el.attr('title');
                }
            },
            gallery:{
                enabled:true
            }
        });
    });

    $(function(){
        $(window).scroll(function(){
            if ($(window).scrollTop() > $(window).height() / 2) {
                $("#scroll-up").fadeIn(300);
            } else {
                $("#scroll-up").fadeOut(300);
            }
        });
    });

    $(function(){
        $("#scroll-up").on("click", function () {
            $("html, body").animate({
                scrollTop: 0
            }, 800);
            return false;
        });
    });

});